---
title: XMLHttpRequest.overrideMimeType()
slug: Web/API/XMLHttpRequest/overrideMimeType
tags:
  - API
  - File Type
  - MIME Type
  - Method
  - Reference
  - XHR
  - XHR MIME Type
  - XMLHttpRequest
  - overrideMimeType
---
<div>{{draft}}{{APIRef('XMLHttpRequest')}}</div>

<p><span class="seoSummary">The {{domxref("XMLHttpRequest")}} method <code><strong>overrideMimeType()</strong></code> specifies a MIME type other than the one provided by the server to be used instead when interpreting the data being transferred in a request.</span> This may be used, for example, to force a stream to be treated and parsed as <code>"text/xml"</code>, even if the server does not report it as such. This method must be called before calling {{domxref("XMLHttpRequest.send", "send()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>XMLHttpRequest</em>.overrideMimeType(<var>mimeType</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>mimeType</code></dt>
 <dd>A {{domxref("DOMString")}} specifying the MIME type to use instead of the one specified by the server. If the server doesn't specify a type, <code>XMLHttpRequest</code> assumes <code>"text/xml"</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Example">Example</h2>

<p>This example specifies a MIME type of <code>"text/plain"</code>, overriding the server's stated type for the data being received.</p>

<div class="note">
<p><strong>Note:</strong> If the server doesn't provide a <code><a href="/en-US/docs/Web/HTTP/Headers/Content-Type">Content-Type</a></code> header, {{domxref("XMLHttpRequest")}} assumes that the MIME type is <code>"text/xml"</code>. If the content isn't valid XML, an "XML Parsing Error: not well-formed" error occurs. You can avoid this by calling <code>overrideMimeType()</code> to specify a different type.</p>
</div>

<pre class="brush: js">// Interpret the received data as plain text

req = new XMLHttpRequest();
req.overrideMimeType("text/plain");
req.addEventListener("load", callback, false);
req.open("get", url);
req.send();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('XMLHttpRequest', '#the-overridemimetype()-method', 'overrideMimeType()')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td>WHATWG living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLHttpRequest.overrideMimeType")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/XMLHttpRequest/Using_XMLHttpRequest">Using XMLHttpRequest</a></li>
 <li>{{domxref("XMLHttpRequest.responseType")}}</li>
</ul>
